> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v3producers contracts plant data

> Returns the plant data for the given contract from the producer



## OpenAPI

````yaml /lumx_openapi.yaml get /v3/producers/{userID}/contracts/{contractID}/plant_data/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/producers/{userID}/contracts/{contractID}/plant_data/:
    get:
      tags:
        - producers
      description: Returns the plant data for the given contract from the producer
      operationId: producers_contracts_plant_data_retrieve
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlantDataSuccessResponse'
              examples:
                200OK:
                  value:
                    date_of_commissioning: '2022-05-15'
                    plant_size: 100
                    capacity: 5000
                    serial_number: SN12345678
                    meter_id: METER1234
                    status: feed
                    production_type: solar
                    longitude: 13.405
                    latitude: 52.52
                    errors: []
                    minimal_feed_power: 10.5
                    load_gradient_min_to_max: 0.5
                    load_gradient_max_to_min: 0.2
                    time_to_power_off_from_minimal_feed_power: 120
                    technical_resources:
                      - TR-001
                      - TR-002
                    control_resource:
                      SR-ID: SR-001
                    consumption_by_owner: 30.5
                  summary: 200 OK
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlantDataNotFoundResponse'
          description: ''
components:
  schemas:
    PlantDataSuccessResponse:
      type: object
      properties:
        date_of_commissioning:
          type: string
          format: date
        plant_size:
          type: integer
          nullable: true
        capacity:
          type: integer
        serial_number:
          type: string
        meter_id:
          type: string
        status:
          $ref: '#/components/schemas/StatusEnum'
        production_type:
          $ref: '#/components/schemas/PlantDataSuccessResponseProductionTypeEnum'
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
        errors:
          type: array
          items:
            type: string
        minimal_feed_power:
          type: number
          format: double
        load_gradient_min_to_max:
          type: number
          format: double
        load_gradient_max_to_min:
          type: number
          format: double
        time_to_power_off_from_minimal_feed_power:
          type: integer
        technical_resources:
          type: array
          items:
            type: string
        control_resource:
          type: object
          additionalProperties:
            type: string
        consumption_by_owner:
          type: number
          format: double
      required:
        - capacity
        - consumption_by_owner
        - control_resource
        - date_of_commissioning
        - errors
        - latitude
        - load_gradient_max_to_min
        - load_gradient_min_to_max
        - longitude
        - meter_id
        - minimal_feed_power
        - plant_size
        - production_type
        - serial_number
        - status
        - technical_resources
        - time_to_power_off_from_minimal_feed_power
    PlantDataNotFoundResponse:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    StatusEnum:
      enum:
        - load
        - feed
        - unload
        - supply
        - energy_transfer
      type: string
      description: |-
        * `load` - load
        * `feed` - feed
        * `unload` - unload
        * `supply` - supply
        * `energy_transfer` - energy_transfer
    PlantDataSuccessResponseProductionTypeEnum:
      enum:
        - solar
        - wind
        - water
        - gas
      type: string
      description: |-
        * `solar` - solar
        * `wind` - wind
        * `water` - water
        * `gas` - gas

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.